Bug 982357 - Horizon doesn't support/show Egress security-group-rule-list of quantum
Horizon doesn't support/show Egress security-group-rule-list of quantum
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: Upstream M3
: 4.0
Assigned To: Julie Pichon
Roey Dekel
https://blueprints.launchpad.net/hori...
: FutureFeature, Triaged
Depends On: 1010313
Blocks: RHOS40RFE
  Show dependency treegraph
 
Reported: 2013-07-08 15:14 EDT by Ofer Blaut
Modified: 2015-08-20 18:08 EDT (History)
8 users (show)

See Also:
Fixed In Version: python-django-horizon-2013.2-0.12b3.el6ost
Doc Type: Enhancement
Doc Text:
An enhancement has been made to support advanced features of Neutron Security Groups. These groups have additional features, such as direction, IP version, etc. that could not be set previously when using the Dashboard to manage the rules. Now, when using OpenStack Networking after updating the appropriate Dashboard setting, the improved security groups rule management is available. The setting should be updated in /etc/openstack-dashboard/local_settings: Set 'enable_security_group' to True in the OPENSTACK_NEUTRON_NETWORK key. (True is the package default).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 19:12:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CLI output (1.23 KB, text/plain)
2013-07-08 15:14 EDT, Ofer Blaut
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 36818 None None None Never

  None (edit)
Description Ofer Blaut 2013-07-08 15:14:01 EDT
Created attachment 770635 [details]
CLI output

Description of problem:

Horizon doesn't support/show egress security-group-rule-list of quantum 

1. GUI shows only two default rules 
2. user can't add security rule with directions 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.create tenant with default security group  
2.check CLI rule-list ( 4 rules IPv4/IPv6 Ingress/Egress )
3.edit security group in GUI and see list of rules 

Actual results:


Expected results:


Additional info:
Comment 1 Julie Pichon 2013-07-12 09:37:40 EDT
This is currently being handled as part of this blueprint in Havana: https://blueprints.launchpad.net/horizon/+spec/quantum-security-group
Comment 7 Roey Dekel 2013-10-10 05:01:18 EDT
Verified on Havana running on rhel6.5 with:
openstack-neutron-2013.2-0.3.3.b3.el6ost.noarch
python-django-horizon-2013.2-0.13b3.el6ost.noarch

I've installed openstack on a machine, created new tenant and a user and role for it, verified the rule-list (4 rules IPv4/IPv6 Ingress/Egress), used the workaround in order to start horizon and tried to add and delete rules.

the table after adding some rules:
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
| id                                   | security_group | direction | protocol | remote_ip_prefix | remote_group |
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
| 0844364c-2f5f-4b65-a13a-231635d0e11c | default        | egress    | 77       |                  | default      |
| 0d0ff120-3e79-412c-933a-cd73343db4a9 | default        | egress    |          |                  |              |
| 11ba9b56-3e1a-4388-bae6-1b24cc2c0d6f | default        | ingress   | tcp      |                  | default      |
| 697f6d06-3f2a-44aa-a343-2b959deb9fd6 | default        | ingress   |          |                  | default      |
| a3ae1659-5a71-46fc-b60d-f8a4d7f64505 | default        | ingress   | udp      | 0.0.0.0/0        |              |
| c793b677-2db3-40f8-9eaa-592ec008e8f5 | default        | egress    |          |                  |              |
| e7adcabe-d760-4020-8e71-e795669d39b1 | default        | ingress   | 5        | 0.0.0.0/0        |              |
| f3bee589-68d8-4c5f-91c6-b009bb141e88 | default        | ingress   |          |                  | default      |
| f74aa8f3-6366-496e-af19-8b0aa9de215b | default        | ingress   | icmp     | 0.0.0.0/0        |              |
+--------------------------------------+----------------+-----------+----------+------------------+--------------+

the table after deleting some rules:

+--------------------------------------+----------------+-----------+----------+------------------+--------------+
| id                                   | security_group | direction | protocol | remote_ip_prefix | remote_group |
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
| 0844364c-2f5f-4b65-a13a-231635d0e11c | default        | egress    | 77       |                  | default      |
| 11ba9b56-3e1a-4388-bae6-1b24cc2c0d6f | default        | ingress   | tcp      |                  | default      |
| 697f6d06-3f2a-44aa-a343-2b959deb9fd6 | default        | ingress   |          |                  | default      |
| a3ae1659-5a71-46fc-b60d-f8a4d7f64505 | default        | ingress   | udp      | 0.0.0.0/0        |              |
| e7adcabe-d760-4020-8e71-e795669d39b1 | default        | ingress   | 5        | 0.0.0.0/0        |              |
| f3bee589-68d8-4c5f-91c6-b009bb141e88 | default        | ingress   |          |                  | default      |
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
Comment 10 errata-xmlrpc 2013-12-19 19:12:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html

Note You need to log in before you can comment on or make changes to this bug.